## llvm-defaults 0.55~exp2

=== debian/changelog ===
llvm-defaults (0.55~exp2) experimental; urgency=medium

  * Revert addition of riscv64 for lldb packages, llvm-14 is still
    not building them

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Apr 2022 22:51:10 +0200
