## llvm-defaults 0.55.1

=== debian/changelog ===
llvm-defaults (0.55.1) unstable; urgency=medium

  * Add the llvm-addr2line symlink (Closes: #1016163)
  * Add a bunch of symlink for manpages

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 02 Aug 2022 14:14:13 +0200
