## llvm-defaults 0.55.1ubuntu1

=== debian/changelog ===
llvm-defaults (0.55.1ubuntu1) kinetic; urgency=medium

  * Default to LLVM 15.
  * Build-depend on libllvm15.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Sep 2022 16:14:52 +0200
