=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.13.9), lsb-release,
- m4
+ m4, libllvm15,
 Vcs-Git: https://salsa.debian.org/pkg-llvm-team/llvm-defaults.git -b snapshot
 Vcs-Browser: https://salsa.debian.org/pkg-llvm-team/llvm-defaults/
