=== debian/rules ===
--- 
+++ 
@@ -82,18 +82,21 @@
 # llvm-defaults 0.53 is the first version for 14.
 REL_NO_140   := $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
+# llvm-defaults 0.55 is the first version for 15.
+REL_NO_150   := $(shell expr $(VMINOR) - 0)$(REL_EXT)
+
 
 # minimum required version
 
-REQV            := (>= 14~)
-
-CURRENT_VERSION := 14.0
+REQV            := (>= 15~)
+
+CURRENT_VERSION := 15.0
 
 # architecture dependent variables
 include /usr/share/dpkg/architecture.mk
 
 # complete version number, including the release
-CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_140)
+CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_150)
 
 distribution := $(shell lsb_release -is)
 all_packages   := llvm llvm-runtime llvm-dev clang clang-tools libclang-cpp-dev libclang1 libclang-dev clang-format clang-tidy clangd python3-clang libomp5 libomp-dev libc++1 libc++-dev libc++abi1 libc++abi-dev libllvm-ocaml-dev
@@ -247,9 +250,3 @@
 	for man in \
 		clang-tidy; do \
 		dh_link -pclang-tidy \
-			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
-			/usr/share/man/man1/$$man.1.gz ; \
-	done
-
-	for man in \
-		lldb; do \
