## llvm-defaults 0.55.2

=== debian/changelog ===
llvm-defaults (0.55.2) unstable; urgency=medium

  * Update standards version to 4.6.1, no changes needed.
  * Add a meta package for liblld-dev (Closes: #1003109)
  * Update of the descriptions (more consistency)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 04 Oct 2022 18:24:46 +0200
