=== debian/rules ===
--- 
+++ 
@@ -82,21 +82,18 @@
 # llvm-defaults 0.53 is the first version for 14.
 REL_NO_140   := $(shell expr $(VMINOR) - 0)$(REL_EXT)
 
-# llvm-defaults 0.55 is the first version for 15.
-REL_NO_150   := $(shell expr $(VMINOR) - 0)$(REL_EXT)
-
 
 # minimum required version
 
-REQV            := (>= 15~)
-
-CURRENT_VERSION := 15.0
+REQV            := (>= 14~)
+
+CURRENT_VERSION := 14.0
 
 # architecture dependent variables
 include /usr/share/dpkg/architecture.mk
 
 # complete version number, including the release
-CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_150)
+CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_140)
 
 distribution := $(shell lsb_release -is)
 all_packages   := llvm llvm-runtime llvm-dev clang clang-tools libclang-cpp-dev libclang1 libclang-dev clang-format clang-tidy clangd python3-clang libomp5 libomp-dev libc++1 libc++-dev libc++abi1 libc++abi-dev libllvm-ocaml-dev
@@ -111,9 +108,9 @@
 
 LLD_SUPPORTED=amd64 arm64 armel armhf i386 mips mipsel mips64el ppc64el kfreebsd-amd64 kfreebsd-i386 s390 sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32 riscv64
 ifneq (,$(filter $(DEB_HOST_ARCH),$(LLD_SUPPORTED)))
-    all_packages += lld
+    all_packages += lld liblld-dev
 else
-    no_packages += lld
+    no_packages += lld liblld-dev
 endif
 
 
@@ -250,3 +247,7 @@
 	for man in \
 		clang-tidy; do \
 		dh_link -pclang-tidy \
+			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
+			/usr/share/man/man1/$$man.1.gz ; \
+	done
+
