=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
 Uploaders: Matthias Klose <doko@debian.org>, Sylvestre Ledru <sylvestre@debian.org>,
  Gianfranco Costamagna <locutusofborg@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.13.9), lsb-release,
- m4, libllvm15,
+ m4
 Vcs-Git: https://salsa.debian.org/pkg-llvm-team/llvm-defaults.git -b snapshot
 Vcs-Browser: https://salsa.debian.org/pkg-llvm-team/llvm-defaults/
 
@@ -223,6 +223,8 @@
  LLD is a new, high-performance linker. It is built as a set of reusable
  components which highly leverage existing libraries in the larger LLVM
  Project.
+ .
+ This is a dependency package providing the lld linker.
 
 Package: python3-clang
 Section: python
@@ -239,7 +241,7 @@
  Clang implements all of the ISO C++ 1998, 11 and 14 standards and also
  provides most of the support of C++17.
  .
- This binding package provides access to the Clang compiler and libraries.
+ This is a dependency package providing the Python binding to Clang.
 
 Package: python3-lldb
 Section: python
@@ -252,7 +254,7 @@
  reusable components which highly leverage existing libraries in the larger LLVM
  Project, such as the Clang expression parser and LLVM disassembler.
  .
- This binding package provides access to lldb.
+ This is a dependency package providing the Python binding to lldb.
 
 Package: libomp-dev
 Section: libdevel
@@ -264,6 +266,7 @@
  The runtime is the part of the OpenMP implementation that your code is
  linked against, and that manages the multiple threads in an OpenMP program
  while it is executing.
+ .
  This is a dependency package providing the default LLVM OpenMP dev
  package.
 
@@ -276,6 +279,7 @@
  The runtime is the part of the OpenMP implementation that your code is
  linked against, and that manages the multiple threads in an OpenMP program
  while it is executing.
+ .
  This is a dependency package providing the default LLVM OpenMP runtime.
 
 Package: libc++1
@@ -296,7 +300,4 @@
    * ABI compatibility with gcc's libstdc++ for some low-level features such
      as exception objects, rtti and memory allocation.
    * Extensive unit tests.
- This is a dependency package providing the default LLVM C++ Standard library.
-
-Package: libc++-dev
-Section: libdevel
+ .
