## llvm-defaults 0.55.4

=== debian/changelog ===
llvm-defaults (0.55.4) unstable; urgency=medium

  * remove llvm-reduce symlink manpage (Closes: #1026967)
  * Update lintian override info to new format:
    + debian/clang-tidy.lintian-overrides: line 1
    + debian/clang-format.lintian-overrides: line 1
  * Trim trailing whitespace.
  * Update standards version to 4.6.2, no changes needed.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 05 Jan 2023 23:14:50 +0100
