=== debian/rules ===
--- 
+++ 
@@ -96,7 +96,7 @@
 CV_LLVM		:= 1:$(CURRENT_VERSION)-$(REL_NO_140)
 
 distribution := $(shell lsb_release -is)
-all_packages   := llvm llvm-runtime llvm-dev clang clang-tools libclang-cpp-dev libclang1 libclang-dev clang-format clang-tidy clangd python3-clang libomp5 libomp-dev libc++1 libc++-dev libc++abi1 libc++abi-dev libllvm-ocaml-dev
+all_packages   := llvm llvm-runtime llvm-dev clang clang-tools libclang-cpp-dev libclang1 libclang-dev clang-format clang-tidy clangd python3-clang libomp5 libomp-dev libc++1 libc++-dev libc++abi1 libc++abi-dev libllvm-ocaml-dev libclang-rt-dev libc++-dev-wasm32 libclang-rt-dev-wasm32 libclang-rt-dev-wasm64
 no_packages    :=
 
 EXTRA_SUPPORTED=amd64 arm64 armel armhf i386 ppc64el kfreebsd-amd64 kfreebsd-i386 s390 s390x sparc alpha hppa m68k powerpcspe ppc64 sh4 sparc64 x32
@@ -247,5 +247,3 @@
 	for man in \
 		clang-tidy; do \
 		dh_link -pclang-tidy \
-			/usr/share/man/man1/$$man-$(PV_LLVM).1.gz \
-			/usr/share/man/man1/$$man.1.gz ; \
