## llvm-defaults 0.55.5ubuntu1

=== debian/changelog ===
llvm-defaults (0.55.5ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Default to LLVM 15.
    - Build-depend on libllvm15.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jan 2023 09:08:55 +0100
