=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), dpkg-dev (>= 1.13.9), lsb-release,
- m4
+ m4, libllvm15,
 Vcs-Git: https://salsa.debian.org/pkg-llvm-team/llvm-defaults.git -b snapshot
 Vcs-Browser: https://salsa.debian.org/pkg-llvm-team/llvm-defaults/
 
@@ -139,7 +139,7 @@
 Package: libclang-cpp-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${dep:devlibs},
+Depends: ${shlibs:Depends}, ${misc:Depends},
  libclang-cpp${pv:llvm}-dev ${reqv:llvm}
 Description: C++ interface to the clang library
  Clang project is a C, C++, Objective C and Objective C++ front-end
@@ -154,7 +154,7 @@
 Package: libclang1
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${dep:devlibs}, libclang1-${pv:llvm} ${reqv:llvm}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libclang1-${pv:llvm} ${reqv:llvm}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: C, C++ and Objective-C compiler (LLVM based)
@@ -176,7 +176,7 @@
 Package: libclang-dev
 Architecture: any
 Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${dep:devlibs},
+Depends: ${shlibs:Depends}, ${misc:Depends},
  libclang-${pv:llvm}-dev ${reqv:llvm}
 Description: clang library - Development package
  Clang project is a C, C++, Objective C and Objective C++ front-end
@@ -189,107 +189,52 @@
  This is a dependency package providing the default libclang libraries and
  headers.
 
-Package: liblldb-dev
-Architecture: any
-Section: libdevel
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${dep:devlibs},
- liblldb-${pv:llvm}-dev ${reqv:llvm}
-Multi-Arch: same
-Description: Next generation, high-performance debugger, header files
- LLDB is a next generation, high-performance debugger. It is built as a set of
- reusable components which highly leverage existing libraries in the larger LLVM
- Project, such as the Clang expression parser and LLVM disassembler.
- .
- This package provides the header files to build extension over lldb.
-
-Package: lldb
-Architecture: any
-Depends: lldb-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
-Description: Next generation, high-performance debugger
- LLDB is a next generation, high-performance debugger. It is built as a set of
- reusable components which highly leverage existing libraries in the larger LLVM
- Project, such as the Clang expression parser and LLVM disassembler.
- .
- This is a dependency package providing the default version of lldb.
-
-Package: lld
-Architecture: any
-Depends: lld-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
-Description: LLVM-based linker
- LLD is a new, high-performance linker. It is built as a set of reusable
- components which highly leverage existing libraries in the larger LLVM
- Project.
- .
- This is a dependency package providing the lld linker.
-
-Package: python3-clang
-Section: python
-Architecture: any
-Depends: python3-clang-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
-Replaces: python-clang (<< 0.49~exp2)
-Breaks: python-clang (<< 0.49~exp2)
-Multi-Arch: same
-Description: Clang Python Bindings
- Clang project is a C, C++, Objective C and Objective C++ front-end
- based on the LLVM compiler. Its goal is to offer a replacement to the
- GNU Compiler Collection (GCC).
- .
- Clang implements all of the ISO C++ 1998, 11 and 14 standards and also
- provides most of the support of C++17.
- .
- This is a dependency package providing the Python binding to Clang.
-
-Package: python3-lldb
-Section: python
-Architecture: any
-Depends: python3-lldb-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
-Replaces: python-lldb (<< 0.49~exp2)
-Breaks: python-lldb (<< 0.49~exp2)
-Description: Next generation, high-performance debugger, python lib
- LLDB is a next generation, high-performance debugger. It is built as a set of
- reusable components which highly leverage existing libraries in the larger LLVM
- Project, such as the Clang expression parser and LLVM disassembler.
- .
- This is a dependency package providing the Python binding to lldb.
-
-Package: libomp-dev
-Section: libdevel
-Architecture: amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${dep:devlibs},
- libomp-${pv:llvm}-dev ${reqv:llvm}
-Multi-Arch: same
-Description: LLVM OpenMP runtime - dev package
- The runtime is the part of the OpenMP implementation that your code is
- linked against, and that manages the multiple threads in an OpenMP program
- while it is executing.
- .
- This is a dependency package providing the default LLVM OpenMP dev
- package.
-
-Package: libomp5
-Multi-Arch: same
-Section: libs
-Architecture: amd64 arm64 armhf i386 mips64el ppc64el ppc64 riscv64
-Depends: libomp5-${pv:llvm} ${reqv:llvm}, ${shlibs:Depends}, ${misc:Depends}
-Description: LLVM OpenMP runtime
- The runtime is the part of the OpenMP implementation that your code is
- linked against, and that manages the multiple threads in an OpenMP program
- while it is executing.
- .
- This is a dependency package providing the default LLVM OpenMP runtime.
-
-Package: libc++1
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: libc++1-${pv:llvm} ${reqv:llvm}, ${shlibs:Depends}, ${misc:Depends}
-Description: LLVM C++ Standard library
- libc++ is another implementation of the C++ standard library.
+Package: libclang-rt-dev
+Architecture: any
+Section: libdevel
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ libclang-rt-${pv:llvm}-dev ${reqv:llvm}
+Description: Compiler-rt - Development package
+ This package provides various libraries:
+ .
+   * builtins - Simple libraries that provide implementation of the
+     low-level target-specific hooks required by code generation
+     and other runtime components.
+   * sanitizer runtimes - AddressSanitizer, ThreadSanitizer,
+     UndefinedBehaviorSanitizer, MemorySanitizer, LeakSanitizer
+     DataFlowSanitizer, etc
+   * profile - Library which is used to collect coverage information.
+ .
+ This is a dependency package providing the default compiler-rt libraries and
+ headers.
+
+Package: libclang-rt-dev-wasm32
+Architecture: any
+Section: libdevel
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ libclang-rt-${pv:llvm}-dev-wasm32 ${reqv:llvm}
+Description: Compiler-rt - wasm32 builtins
+ Provides the compiler-rt builtins for WebAssembly 32 bits
+ .
+ This is a dependency package providing the default libclang wasm32 library.
+
+Package: libclang-rt-dev-wasm64
+Architecture: any
+Section: libdevel
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ libclang-rt-${pv:llvm}-dev-wasm64 ${reqv:llvm}
+Description: Compiler-rt - wasm64 builtins
+ Provides the compiler-rt builtins for WebAssembly 64 bits
+ .
+ This is a dependency package providing the default libclang wasm64 library.
+
+Package: libc++-dev-wasm32
+Architecture: any
+Section: libdevel
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ libc++-${pv:llvm}-dev-wasm32
+Description: LLVM C++ Standard library (WASI)
+ libc++ is another implementation of the C++ standard library
  .
  Features and Goals
  .
@@ -301,3 +246,65 @@
      as exception objects, rtti and memory allocation.
    * Extensive unit tests.
  .
+ This is a dependency package providing the default 32-bit WebAssembly
+ System Interface.
+
+Package: liblldb-dev
+Architecture: any
+Section: libdevel
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ liblldb-${pv:llvm}-dev ${reqv:llvm}
+Multi-Arch: same
+Description: Next generation, high-performance debugger, header files
+ LLDB is a next generation, high-performance debugger. It is built as a set of
+ reusable components which highly leverage existing libraries in the larger LLVM
+ Project, such as the Clang expression parser and LLVM disassembler.
+ .
+ This package provides the header files to build extension over lldb.
+
+Package: lldb
+Architecture: any
+Depends: lldb-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
+Description: Next generation, high-performance debugger
+ LLDB is a next generation, high-performance debugger. It is built as a set of
+ reusable components which highly leverage existing libraries in the larger LLVM
+ Project, such as the Clang expression parser and LLVM disassembler.
+ .
+ This is a dependency package providing the default version of lldb.
+
+Package: lld
+Architecture: any
+Depends: lld-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
+Description: LLVM-based linker
+ LLD is a new, high-performance linker. It is built as a set of reusable
+ components which highly leverage existing libraries in the larger LLVM
+ Project.
+ .
+ This is a dependency package providing the lld linker.
+
+Package: python3-clang
+Section: python
+Architecture: any
+Depends: python3-clang-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
+Replaces: python-clang (<< 0.49~exp2)
+Breaks: python-clang (<< 0.49~exp2)
+Multi-Arch: same
+Description: Clang Python Bindings
+ Clang project is a C, C++, Objective C and Objective C++ front-end
+ based on the LLVM compiler. Its goal is to offer a replacement to the
+ GNU Compiler Collection (GCC).
+ .
+ Clang implements all of the ISO C++ 1998, 11 and 14 standards and also
+ provides most of the support of C++17.
+ .
+ This is a dependency package providing the Python binding to Clang.
+
+Package: python3-lldb
+Section: python
+Architecture: any
+Depends: python3-lldb-${pv:llvm} ${reqv:llvm}, ${misc:Depends}
+Replaces: python-lldb (<< 0.49~exp2)
